ServerEvents.recipes(event => {

  // CHAIRS

  event.remove({ output: 'another_furniture:oak_chair' })
  event.remove({ output: 'another_furniture:spruce_chair' })
  event.remove({ output: 'another_furniture:birch_chair' })
  event.remove({ output: 'another_furniture:jungle_chair' })
  event.remove({ output: 'another_furniture:dark_oak_chair' })
  event.remove({ output: 'another_furniture:acacia_chair' })
  event.remove({ output: 'another_furniture:mangrove_chair' })
  event.remove({ output: 'another_furniture:cherry_chair' })
  event.remove({ output: 'another_furniture:bamboo_chair' })
  event.remove({ output: 'another_furniture:crimson_chair' })
  event.remove({ output: 'another_furniture:warped_chair' })

  // SHELVES

  event.remove({ output: 'another_furniture:oak_shelf' })
  event.remove({ output: 'another_furniture:spruce_shelf' })
  event.remove({ output: 'another_furniture:birch_shelf' })
  event.remove({ output: 'another_furniture:jungle_shelf' })
  event.remove({ output: 'another_furniture:dark_oak_shelf' })
  event.remove({ output: 'another_furniture:acacia_shelf' })
  event.remove({ output: 'another_furniture:mangrove_shelf' })
  event.remove({ output: 'another_furniture:cherry_shelf' })
  event.remove({ output: 'another_furniture:bamboo_shelf' })
  event.remove({ output: 'another_furniture:crimson_shelf' })
  event.remove({ output: 'another_furniture:warped_shelf' })

    // TABLES

    event.remove({ output: 'another_furniture:oak_table' })
    event.remove({ output: 'another_furniture:spruce_table' })
    event.remove({ output: 'another_furniture:birch_table' })
    event.remove({ output: 'another_furniture:jungle_table' })
    event.remove({ output: 'another_furniture:dark_oak_table' })
    event.remove({ output: 'another_furniture:acacia_table' })
    event.remove({ output: 'another_furniture:mangrove_table' })
    event.remove({ output: 'another_furniture:cherry_table' })
    event.remove({ output: 'another_furniture:bamboo_table' })
    event.remove({ output: 'another_furniture:crimson_table' })
    event.remove({ output: 'another_furniture:warped_table' })

    // SHUTTERS

    event.remove({ output: 'another_furniture:oak_shutter' })
    event.remove({ output: 'another_furniture:spruce_shutter' })
    event.remove({ output: 'another_furniture:birch_shutter' })
    event.remove({ output: 'another_furniture:jungle_shutter' })
    event.remove({ output: 'another_furniture:dark_oak_shutter' })
    event.remove({ output: 'another_furniture:acacia_shutter' })
    event.remove({ output: 'another_furniture:mangrove_shutter' })
    event.remove({ output: 'another_furniture:cherry_shutter' })
    event.remove({ output: 'another_furniture:bamboo_shutter' })
    event.remove({ output: 'another_furniture:crimson_shutter' })
    event.remove({ output: 'another_furniture:warped_shutter' })

    // BENCHES

    event.remove({ output: 'another_furniture:oak_bench' })
    event.remove({ output: 'another_furniture:spruce_bench' })
    event.remove({ output: 'another_furniture:birch_bench' })
    event.remove({ output: 'another_furniture:jungle_bench' })
    event.remove({ output: 'another_furniture:dark_oak_bench' })
    event.remove({ output: 'another_furniture:acacia_bench' })
    event.remove({ output: 'another_furniture:mangrove_bench' })
    event.remove({ output: 'another_furniture:cherry_bench' })
    event.remove({ output: 'another_furniture:bamboo_bench' })
    event.remove({ output: 'another_furniture:crimson_bench' })
    event.remove({ output: 'another_furniture:warped_bench' })

    // DRAWERS

    event.remove({ output: 'another_furniture:oak_drawer' })
    event.remove({ output: 'another_furniture:spruce_drawer' })
    event.remove({ output: 'another_furniture:birch_drawer' })
    event.remove({ output: 'another_furniture:jungle_drawer' })
    event.remove({ output: 'another_furniture:dark_oak_drawer' })
    event.remove({ output: 'another_furniture:acacia_drawer' })
    event.remove({ output: 'another_furniture:mangrove_drawer' })
    event.remove({ output: 'another_furniture:cherry_drawer' })
    event.remove({ output: 'another_furniture:bamboo_drawer' })
    event.remove({ output: 'another_furniture:crimson_drawer' })
    event.remove({ output: 'another_furniture:warped_drawer' })

    // STOOLS

    event.remove({ output: 'another_furniture:white_stool' })
    event.remove({ output: 'another_furniture:orange_stool' })
    event.remove({ output: 'another_furniture:magenta_stool' })
    event.remove({ output: 'another_furniture:light_blue_stool' })
    event.remove({ output: 'another_furniture:light_gray_stool' })
    event.remove({ output: 'another_furniture:yellow_stool' })
    event.remove({ output: 'another_furniture:lime_stool' })
    event.remove({ output: 'another_furniture:pink_stool' })
    event.remove({ output: 'another_furniture:gray_stool' })
    event.remove({ output: 'another_furniture:cyan_stool' })
    event.remove({ output: 'another_furniture:purple_stool' })
    event.remove({ output: 'another_furniture:blue_stool' })
    event.remove({ output: 'another_furniture:brown_stool' })
    event.remove({ output: 'another_furniture:green_stool' })
    event.remove({ output: 'another_furniture:red_stool' })
    event.remove({ output: 'another_furniture:black_stool' })

    // CURTAINS

    event.remove({ output: 'another_furniture:white_curtain' })
    event.remove({ output: 'another_furniture:orange_curtain' })
    event.remove({ output: 'another_furniture:magenta_curtain' })
    event.remove({ output: 'another_furniture:light_blue_curtain' })
    event.remove({ output: 'another_furniture:light_gray_curtain' })
    event.remove({ output: 'another_furniture:yellow_curtain' })
    event.remove({ output: 'another_furniture:lime_curtain' })
    event.remove({ output: 'another_furniture:pink_curtain' })
    event.remove({ output: 'another_furniture:gray_curtain' })
    event.remove({ output: 'another_furniture:cyan_curtain' })
    event.remove({ output: 'another_furniture:purple_curtain' })
    event.remove({ output: 'another_furniture:blue_curtain' })
    event.remove({ output: 'another_furniture:brown_curtain' })
    event.remove({ output: 'another_furniture:green_curtain' })
    event.remove({ output: 'another_furniture:red_curtain' })
    event.remove({ output: 'another_furniture:black_curtain' })

    // SOFAS

    event.remove({ output: 'another_furniture:white_sofa' })
    event.remove({ output: 'another_furniture:orange_sofa' })
    event.remove({ output: 'another_furniture:magenta_sofa' })
    event.remove({ output: 'another_furniture:light_blue_sofa' })
    event.remove({ output: 'another_furniture:light_gray_sofa' })
    event.remove({ output: 'another_furniture:yellow_sofa' })
    event.remove({ output: 'another_furniture:lime_sofa' })
    event.remove({ output: 'another_furniture:pink_sofa' })
    event.remove({ output: 'another_furniture:gray_sofa' })
    event.remove({ output: 'another_furniture:cyan_sofa' })
    event.remove({ output: 'another_furniture:purple_sofa' })
    event.remove({ output: 'another_furniture:blue_sofa' })
    event.remove({ output: 'another_furniture:brown_sofa' })
    event.remove({ output: 'another_furniture:green_sofa' })
    event.remove({ output: 'another_furniture:red_sofa' })
    event.remove({ output: 'another_furniture:black_sofa' })

    // SOFAS

    event.remove({ output: 'another_furniture:white_tall_stool' })
    event.remove({ output: 'another_furniture:orange_tall_stool' })
    event.remove({ output: 'another_furniture:magenta_tall_stool' })
    event.remove({ output: 'another_furniture:light_blue_tall_stool' })
    event.remove({ output: 'another_furniture:light_gray_tall_stool' })
    event.remove({ output: 'another_furniture:yellow_tall_stool' })
    event.remove({ output: 'another_furniture:lime_tall_stool' })
    event.remove({ output: 'another_furniture:pink_tall_stool' })
    event.remove({ output: 'another_furniture:gray_tall_stool' })
    event.remove({ output: 'another_furniture:cyan_tall_stool' })
    event.remove({ output: 'another_furniture:purple_tall_stool' })
    event.remove({ output: 'another_furniture:blue_tall_stool' })
    event.remove({ output: 'another_furniture:brown_tall_stool' })
    event.remove({ output: 'another_furniture:green_tall_stool' })
    event.remove({ output: 'another_furniture:red_tall_stool' })
    event.remove({ output: 'another_furniture:black_tall_stool' })

// SERVICE BELL

    event.remove({ output: 'another_furniture:service_bell' })


// CHAIRS

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:oak_chair', [
      'JG ',
      'JJ ',
      'HH '
  ], {
      G: '#tfc:saws',
      H: '#forge:rods/wooden',
      J: 'tfc:wood/planks/oak'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:spruce_chair', [
    'JG ',
    'JJ ',
    'HH '
], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: 'tfc:wood/planks/spruce'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:birch_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/birch'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:jungle_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/teak'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:dark_oak_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/hickory'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:acacia_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/baobab'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:mangrove_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/mangrove'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cherry_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/fig'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:bamboo_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/ipe'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:crimson_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/mahogany'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:warped_chair', [
  'JG ',
  'JJ ',
  'HH '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/tualang'
}))


// SHELVES


event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:oak_shelf', [
'JJJ',
'HG '
], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/oak'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:spruce_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'tfc:wood/planks/spruce'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:birch_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'tfc:wood/planks/birch'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:jungle_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'afc:wood/planks/teak'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:dark_oak_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'tfc:wood/planks/hickory'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:acacia_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'afc:wood/planks/baobab'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:mangrove_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'tfc:wood/planks/mangrove'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cherry_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'afc:wood/planks/fig'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:bamboo_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'afc:wood/planks/ipe'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:crimson_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'afc:wood/planks/mahogany'
}))

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:warped_shelf', [
'JJJ',
'HG '
], {
G: '#tfc:saws',
H: '#forge:rods/wooden',
J: 'afc:wood/planks/tualang'
}))

// TABLES

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:oak_table', [
  'JJJ',
  'HGH'
  ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: 'tfc:wood/planks/oak'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:spruce_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/spruce'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:birch_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/birch'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:jungle_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/teak'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:dark_oak_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/hickory'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:acacia_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/baobab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:mangrove_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/mangrove'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cherry_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/fig'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:bamboo_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/ipe'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:crimson_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/mahogany'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:warped_table', [
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/tualang'
  }))

// SHUTTERS

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:oak_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
    G: '#tfc:saws',
    J: 'tfc:wood/planks/oak_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:spruce_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/spruce_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:birch_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/birch_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:jungle_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/teak_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:dark_oak_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/hickory_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:acacia_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/baobab_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:mangrove_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/mangrove_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cherry_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/fig_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:bamboo_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/ipe_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:crimson_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/mahogany_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:warped_shutter', [
  'JJ ',
  'JJ ',
  'JJG'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/tualang_slab'
  }))

// BENCHES

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:oak_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: 'tfc:wood/planks/oak_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:spruce_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/spruce_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:birch_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/birch_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:jungle_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/teak_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:dark_oak_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/hickory_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:acacia_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/baobab_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:mangrove_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'tfc:wood/planks/mangrove_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cherry_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/fig_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:bamboo_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/ipe_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:crimson_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/mahogany_slab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:warped_bench', [
  'H  ',
  'JJJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: 'afc:wood/planks/tualang'
  }))


// DRAWERS

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:oak_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
    G: '#tfc:saws',
    J: 'tfc:wood/planks/oak_slab',
    K: 'tfc:wood/planks/oak'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:spruce_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/spruce_slab',
  K: 'tfc:wood/planks/spruce'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:birch_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/birch_slab',
  K: 'tfc:wood/planks/birch'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:jungle_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/teak_slab',
  K: 'tfc:wood/planks/teak'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:dark_oak_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/hickory_slab',
  K: 'tfc:wood/planks/hickory'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:acacia_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/baobab_slab',
  K: 'afc:wood/planks/baobab'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:mangrove_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'tfc:wood/planks/mangrove_slab',
  K: 'tfc:wood/planks/mangrove'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cherry_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/fig_slab',
  K: 'afc:wood/planks/fig'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:bamboo_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/ipe_slab',
  K: 'afc:wood/planks/ipe'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:crimson_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/mahogany_slab',
  K: 'afc:wood/planks/mahogany'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:warped_drawer', [
  'KKK',
  'JGJ',
  'KKK'
  ], {
  G: '#tfc:saws',
  J: 'afc:wood/planks/tualang_slab',
  K: 'afc:wood/planks/tualang'
  }))

// STOOLS

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:white_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:white_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:orange_stool', [
  ' HG',
  ' K ',
  ' K '
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: '#minecraft:planks',
    K: 'minecraft:orange_wool'
    }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:magenta_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:magenta_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_blue_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:light_blue_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:yellow_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:yellow_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:lime_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:lime_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:pink_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:pink_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:gray_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_gray_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:light_gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cyan_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:cyan_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:purple_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:purple_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:blue_stool', [
  'JKJ',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  J: '#minecraft:planks',
  K: 'minecraft:blue_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:brown_stool', [
    'JKJ',
    'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: '#minecraft:planks',
    K: 'minecraft:brown_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:green_stool', [
    'JKJ',
    'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: '#minecraft:planks',
    K: 'minecraft:green_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:red_stool', [
    'JKJ',
    'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: '#minecraft:planks',
    K: 'minecraft:red_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:black_stool', [
    'JKJ',
    'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    J: '#minecraft:planks',
    K: 'minecraft:black_wool'
    }))

// STOOLS

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:white_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:white_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:orange_curtain', [
  ' HG',
  ' K ',
  ' K '
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:orange_wool'
    }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:magenta_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:magenta_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_blue_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:light_blue_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:yellow_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:yellow_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:lime_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:lime_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:pink_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:pink_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:gray_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_gray_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:light_gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cyan_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:cyan_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:purple_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:purple_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:blue_curtain', [
  ' HG',
  ' K ',
  ' K '
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:blue_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:brown_curtain', [
  ' HG',
  ' K ',
  ' K '
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:brown_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:green_curtain', [
  ' HG',
  ' K ',
  ' K '
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:green_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:red_curtain', [
  ' HG',
  ' K ',
  ' K '
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:red_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:black_curtain', [
  ' HG',
  ' K ',
  ' K '
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:black_wool'
    }))

// SOFAS

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:white_sofa', [
  'HKG',
  'HHK',
  'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:white_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:orange_sofa', [
    'HKG',
    'HHK',
    'H H'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:orange_wool'
    }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:magenta_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:magenta_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_blue_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:light_blue_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:yellow_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:yellow_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:lime_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:lime_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:pink_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:pink_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:gray_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_gray_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:light_gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cyan_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:cyan_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:purple_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:purple_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:blue_sofa', [
    'HKG',
    'HHK',
    'H H'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  K: 'minecraft:blue_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:brown_sofa', [
    'HKG',
    'HHK',
    'H H'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:brown_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:green_sofa', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:green_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:red_sofa', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:red_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:black_sofa', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    K: 'minecraft:black_wool'
    }))

// TALL STOOLS

event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:white_tall_stool', [
  'PKP',
  'HHH',
  'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:white_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:orange_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    P: '#minecraft:planks',
    K: 'minecraft:orange_wool'
    }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:magenta_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:magenta_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_blue_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:light_blue_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:yellow_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:yellow_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:lime_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:lime_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:pink_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:pink_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:gray_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:light_gray_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:light_gray_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:cyan_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:cyan_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:purple_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:purple_wool'
  }))
  
  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:blue_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
  ], {
  G: '#tfc:saws',
  H: '#forge:rods/wooden',
  P: '#minecraft:planks',
  K: 'minecraft:blue_wool'
  }))

  event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:brown_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    P: '#minecraft:planks',
    K: 'minecraft:brown_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:green_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    P: '#minecraft:planks',
    K: 'minecraft:green_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:red_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    P: '#minecraft:planks',
    K: 'minecraft:red_wool'
    }))
    
    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:black_tall_stool', [
      'PKP',
      'HHH',
      'HGH'
    ], {
    G: '#tfc:saws',
    H: '#forge:rods/wooden',
    P: '#minecraft:planks',
    K: 'minecraft:black_wool'
    }))

// SERVICE BELL

    event.recipes.tfc.damage_inputs_shaped_crafting(event.recipes.minecraft.crafting_shaped('3x another_furniture:service_bell', [
    ' G ',
    ' K '
        ], {
        G: 'epic_knights_ores_and_alloys:tin_nugget',
        K: 'tfc:metal/ingot/tin'
        }))
})